# ReWalker
ReWalker is a simple random walker program that uses ReWindow to handle windowing and mouse operations.

This is a simple random walker that has a little twist that if the user clicks the mouse over the window it "blows" the walker away from the mouse pointer.  Pressing the space bar will reset the walker back to the centre of the screen and pressing the esc key will close the application.

The user can user the number 1, 2, 3, 4 and 5 keys to change the force at which the walker is blown away from the mouse pointer. 1 is lowest force and 5 is highest.

There are now 4 red impervious obstacles to bump into.

test.cpp builds to TestWindowApp as a test to help me understand how ReWindow works.

main.cpp builds to ReWalkerApp which is the main random walker program.


## Run ReWalker


Install dependencies

```bash
Rocky/Fedora/RHEL:  dnf install cmake make gcc-g++ libX11 libX11-devel mesa-libGL-devel
Pop_OS!/Ubuntu/Debian:  apt-get install cmake make gcc g++ libx11-6 libx11-dev libgl-dev libxrandr-dev libvulkan-dev
```

Clone the repository

```bash
  git clone https://git.redacted.cc/rich/ReWalker.git
```

Build

```bash
  cd ReWalker && mkdir build && cd build && cmake .. && make
```

Run it

```bash
  ./ReWalkerApp
```
## Thanks

Thanks to Bill, Josh and Maxine for sorting the correct ReWindow Integration, and other things.